# Uses of Class
it.tdlight.jni.TdApi.Audio

## Uses of TdApi.Audio in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.Audio
Modifier and Type
Field
Description
`TdApi.Audio`
TdApi.InlineQueryResultAudio.`audio`
Audio file.
`TdApi.Audio`
TdApi.MessageAudio.`audio`
The audio description.
`TdApi.Audio`
TdApi.PageBlockAudio.`audio`
Audio file; may be null.
`TdApi.Audio`
TdApi.PushMessageContentAudio.`audio`
Message content; may be null.
`TdApi.Audio`
TdApi.WebPage.`audio`
Preview of the content as an audio file, if available; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.Audio
Modifier
Constructor
Description
``
`InlineQueryResultAudio(String id, TdApi.Audio audio)`
Represents an audio file.
``
`MessageAudio(TdApi.Audio audio, TdApi.FormattedText caption)`
An audio message.
``
`PageBlockAudio(TdApi.Audio audio, TdApi.PageBlockCaption caption)`
An audio file.
``
`PushMessageContentAudio(TdApi.Audio audio, boolean isPinned)`
An audio message.
``
`WebPage(String url, String displayUrl, String type, String siteName, String title, TdApi.FormattedText description, TdApi.Photo photo, String embedUrl, String embedType, int embedWidth, int embedHeight, int duration, String author, TdApi.Animation animation, TdApi.Audio audio, TdApi.Document document, TdApi.Sticker sticker, TdApi.Video video, TdApi.VideoNote videoNote, TdApi.VoiceNote voiceNote, int instantViewVersion)`
Describes a web page preview.